
<?php
		 
	header('Content-Type: text/html; charset=UTF-8');	
	header("Cache-Control: no-cache, no-store, must-revalidate, pre-check=0, max-age=0, post-check=0");
	
	$exeTime=ini_get('max_execution_time'); 
	ini_set('max_execution_time', 0); // to get unlimited php script execution time
	
	require_once('../../global_functions.php');
	
	log_to_file("************************* Zahlung Terminal ".date('m-d-Y h:i:s a', time())." *************************");
	/*
	if (defined('EC_KARTE_ZAHLUNGSABBRUCH_ERLAUBEN') && strtolower(EC_KARTE_ZAHLUNGSABBRUCH_ERLAUBEN) !=="ja" ) 
	{
		echo "<script> elem=window.parent.document.getElementById('ec_abbruch');
			  elem.style.display='none';</script>";
	}
	*/
	
		
	$terminalId=false;
	$amount=false;
	$zahlartName=false;
	$funktion=false;
	

	if(isset($_POST['terminalId']) && strlen($_POST['terminalId']) > 2) $terminalId=$_POST['terminalId'];
	if(isset($_POST['terminalType']) && strlen($_POST['terminalType']) > 2) $terminalType=$_POST['terminalType'];
	if(isset($_POST['zahlbetrag']) && strlen($_POST['zahlbetrag']) > 2) $amount=$_POST['zahlbetrag'];
	if(isset($_POST['zahlartName']) && strlen($_POST['zahlartName']) > 2) $zahlartName=$_POST['zahlartName'];
	if(isset($_POST['funktion']) && strlen($_POST['funktion']) > 2) $funktion=$_POST['funktion'];
	if(isset($_POST['a4_beleg']) && strlen($_POST['a4_beleg']) > 2) $a4_beleg=$_POST['a4_beleg'];
	else $a4_beleg=""; // das sollte eigentlich nie passieren
		
	$amount=preg_replace('/\,/', '.', $amount);
	
	$exe_command=get_command_line_for_ce_terminal($terminalType, $terminalId);
	log_to_file("---->function get_command_line_for_ce_terminal() ".date('m-d-Y h:i:s a', time())." <----");
	$output="";
	
	$cmd='start /B C:\\sitpos\\bankomat\\'.$terminalType.'\\'.$exe_command.' '.$funktion." ".$terminalId." ".$amount."";
	log_to_file("---->".$cmd."<----");			
	$output=shell_exec($cmd);
	//$output = exec($cmd, $error_code, $test);
	//$a = popen($cmd, 'r'); 
	
	//$termResponse=false;

	//if (!is_resource($file)) {
	//	$a = popen($cmd, 'r'); 
	/*
	while($b = fgets($a, 2048)) 
	{		
		
		
			# damit die umlaute passen
		$b = utf8_encode($b);
		$b = str_replace("'", "", $b);		// ansonsten wir der String abgeschnitten - deswegen alle ' rauslöschen
			# mach ich das nicht bekomme ich im unterminated string literal -> browser console !!!!
		$b = preg_replace("/\r\n|\r|\n/",'<br/>',$b);
		//$output=$b;
		$output=$output . $b;
		
		
		echo "<script>	parent.sixTerminalResponse('ausgeben', '".$output."', '".$output."'); 		</script>";
		ob_flush(); 
		flush(); 

	}
	*/
	
	//$output  = substr($output, strpos($output,"<SITPOSBANKOMAT>"));

	$output = utf8_encode($output);
	if (mb_detect_encoding($output, 'UTF-8') != 'UTF-8')
			$output = utf8_encode($output);
	$output = str_replace("'", "", $output);		// ansonsten wir der String abgeschnitten - deswegen alle ' rauslöschen
	$output = str_replace("&", "&amp;", $output);
		
	
	/*$output = str_replace("ß","&szlig;", $output);
	$output = str_replace("!", "&#33;", $output);
	$output = str_replace('"', " &quot;", $output);
	$output = str_replace("§", "&sect;", $output);
	$output = str_replace("%", "&#37;", $output);
	$output = str_replace("/", "&#47;", $output);
	$output = str_replace("(", "&#40;", $output);
	$output = str_replace(")", "&#41;", $output);
	$output = str_replace("=", "&#61;", $output);
	$output = str_replace("?", "&#63;", $output);
	//$output = str_replace("\", "&#92;", $output);
	$output = str_replace("+", "&#43;", $output);
	$output = str_replace("*", "&#42;", $output);
	$output = str_replace("~", "&#126;", $output);
	$output = str_replace("#", "&#35;", $output);
	$output = str_replace("'", "&#39;", $output);
	$output = str_replace(",", "&#44;", $output);
	$output = str_replace(";", "&#59;", $output);
	$output = str_replace(".", "&#46;", $output);
	$output = str_replace(":", "&#58;", $output);
	$output = str_replace("-", "&#45;", $output);
	$output = str_replace("_", "&#95;", $output);*/
	# mach ich das nicht bekomme ich im unterminated string literal -> browser console !!!!
	$output = preg_replace("/\r\n|\r|\n/",'<br/>',$output);
		
	log_to_file("---->".$output."<----");
	//echo "<script>	parent.sixTerminalResponse('ende_der_funktion', '".$output."', '".$output."'); 		</script>";
	// Hier wird als funcKey zurückggegeben ob es ein a4 Beleg werden soll oder nicht a4=false oder a4=true als string!!
	//echo "<script>	parent.sixTerminalResponse('ausgeben', '".$output."', '".$output."'); 		</script>";
	
	ini_set('max_execution_time', $exeTime);
	log_to_file("************************* ENDE Zahlung Terminal ".date('m-d-Y h:i:s a', time())."  *************************");
	echo $output;
?>
  